<?php
$options = roofer_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

$image_logo = $options->get( 'image_normal_logo' );
$logo_dimension = $options->get( 'normal_logo_dimension2' );

$logo_type = '';
$logo_text = '';
$logo_typography = '';
/**
 * Footer Main File.
 *
 * @package Roofer
 * @author  tonatheme
 * @version 1.0
 */
global $wp_query;
$page_id = ( $wp_query->is_posts_page ) ? $wp_query->queried_object->ID : get_the_ID();
$options = roofer_WSH()->option();
?>




<?php roofer_template_load( 'templates/footer/footer.php', compact( 'page_id' ) );?>

<?php if(!$options->get( 'to_top' ) ):?>
<button class="scroll-top scroll-to-target" data-target="html">
	<span class="icon-42"></span>
</button>
<?php endif; ?>

<div id="search-popup" class="search-popup">
	<div class="close-search"><i class="icon-close"></i></div>
	<div class="popup-inner">
		<div class="overlay-layer"></div>
		<div class="search-form">
			<form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
				<div class="form-group">
					<fieldset>
						<input type="search" class="form-control" name="s" value="" placeholder="<?php echo wp_kses( $options->get( 'search_text_v1'), $allowed_html ); ?>" required >
						<input type="submit" value="Search Now!" class="theme-btn style-four">
					</fieldset>
				</div>
			</form>
			<h3><?php echo wp_kses( $options->get( 'search_title_v1'), $allowed_html ); ?></h3>
		</div>
	</div>
</div>

<!-- Mobile Menu  -->
<div class="mobile-menu">
	<div class="menu-backdrop"></div>
	<div class="close-btn"><i class="fas fa-times"></i></div>
	<nav class="menu-box">
		<div class="nav-logo">
			<?php echo roofer_logo( $logo_type, $image_logo2, $logo_dimension2, $logo_text, $logo_typography ); ?>
		</div>
		<div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
		<div class="contact-info">
			<?php if( $options->get( 'address_title_v1' ) ):?>
			<h4><?php echo wp_kses( $options->get( 'address_title_v1'), $allowed_html ); ?></h4>
			<?php endif; ?>
			<ul>
				<?php if( $options->get( 'address_v1' ) ):?>
				<li><?php echo wp_kses( $options->get( 'address_v1'), $allowed_html ); ?></li>
				<?php endif; ?>
				<?php if( $options->get( 'phone_v1' ) ):?>
				<li><a href="<?php echo wp_kses( $options->get( 'phone_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'phone_v1'), $allowed_html ); ?></a></li>
				<?php endif; ?>
				<?php if( $options->get( 'email_v1' ) ):?>
				<li><a href="<?php echo wp_kses( $options->get( 'email_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'email_v1'), $allowed_html ); ?></a></li>
				<?php endif; ?>
			</ul>
		</div>
		<?php if( $options->get( 'header_social_show_v1' ) ):?>
		<?php if( $options->get( 'header_social_v1' ) ):?>
		<div class="social-links">
			<ul class="clearfix">
				<?php echo wp_kses( $options->get( 'header_social_v1'), $allowed_html ); ?>
			</ul>
		</div>
		<?php endif; ?>
		<?php endif; ?>
	</nav>
</div>
<!-- End Mobile Menu -->


</main>
<?php wp_footer(); ?>
<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
