<?php
/**
 * Blog Post Main File.
 *
 * @package ROOFER
 */

get_header();
$data    = \ROOFER\Includes\Classes\Common::instance()->data( 'single' )->get();

$options = roofer_WSH()->option();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$class = ( $data->get( 'layout' ) != 'full' ) ? 'col-xs-12 col-sm-12 col-md-12 col-lg-8' : 'col-xs-12 col-sm-12 col-md-12';
$mr_width = (is_active_sidebar( $sidebar )) ?  $class : 'col-12';

if ( class_exists( '\Elementor\Plugin' ) && $data->get( 'tpl-type' ) == 'e') {
	while(have_posts()) {
	   the_post();
	   the_content();
    }

} else {
	?>

<div class="mr_banner_single">
<?php roofer_template_load( 'templates/mrbanner.php', compact( 'options', 'data' ) ); ?>	
</div>	



<section class="blog__section blog__details p_relative see__pad sweem_single">
	<div class="blog__content">
		<div class="auto_container">
			<div class="row">
				<?php roofer_template_load( 'templates/mrsidebar.php', compact( 'options', 'data' ) ); ?>	

				<div class="wp-style content-side <?php echo esc_attr( $mr_width ); ?>">
					<?php while ( have_posts() ) : the_post(); ?>
						<?php roofer_template_load( 'templates/blog-single/single-content.php', compact( 'options', 'data' ) ); ?>

					<?php endwhile; ?>
				</div>
			</div>
		</div>
	</div>
</section>

<?php
}
get_footer();
