<div class="news__block__one">
	<?php if(!$options->get('single_post_thumb' ) ): ?>	
	<div class="inner__box">
		<div class="image__box">
			<figure class="image">
				<?php the_post_thumbnail(); ?>
			</figure>
		</div>
	</div>
	<?php endif; ?>	
	<div class="lower__content two">
	
		<?php if($options->get('single_post_date' ) ): ?>
		<div class="news__date" style="background-image:url(<?php echo esc_url(get_template_directory_uri().'/assets/images/shape/shape-05.png');?>)">
			<a href="<?php echo get_day_link( get_the_time( 'Y' ), get_the_time( 'm' ), get_the_time( 'd' ) ); ?>"><?php echo get_the_date('d'); ?> <span><?php echo get_the_date('M'); ?></span></a>
		</div>
		<?php endif;?>
		
		
		
		<?php if(!$options->get('single_post_author' ) ): ?>
		<div class="author__info">
			<ul>
				<li> 
				
					<a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php the_author(); ?></a> 
					
					<?php if(!$options->get('single_post_comments' ) ): ?>
					<span><?php comments_number(); ?></span>
					<?php endif;?>
				</li>
			</ul>
		</div>
		
		<?php endif;?>
		
		<div class="text">
			<?php the_content(); ?>
			<div class="clearfix"></div>
			<?php wp_link_pages(array('before'=>'<div class="paginate_links">'.esc_html__('Pages: ', 'roofer'), 'after' => '</div>', 'link_before'=>'', 'link_after'=>'')); ?>
		</div>
		
	</div>
	
	
	<?php roofer_template_load( 'templates/blog-single/tags.php', compact( 'options', 'data' ) ); ?>
	
	<?php comments_template(); ?>
	
</div>