<?php if ( $data->get( 'enable_banner' ) ) : ?>

<section class="page__title p_relative">

	<?php if ( $data->get( 'banner' ) ) : ?>
	<div class="bg-layer parallax-bg" data-parallax='{"y": 20}' style="background-image:url(<?php echo esc_url( $data->get( 'banner' ) ); ?>)"></div>
	<?php else : ?>
	<div class="bg-layer parallax-bg" data-parallax='{"y": 20}' style="background-image:url(<?php echo esc_url(get_template_directory_uri().'/assets/images/breadcrumb/breadcrumb-1.jpg');?>)"></div>
	<?php endif; ?>
	
	<div class="auto_container text-center">
		<div class="content-box p_relative">
			<h1 class="title"><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( wp_title( '' ) ); ?></h1>
			<ul class="bread-crumb">
				<?php echo roofer_the_breadcrumb(); ?>
			</ul>
		</div>
	</div>
</section>

<?php endif; ?>