<?php
/**
 * Archive Main File.
 * @package ROOFER
 */
get_header();
global $wp_query;
$data  = \ROOFER\Includes\Classes\Common::instance()->data( 'archive' )->get();

if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
?>

<div class="mr_banner_archive">
<?php roofer_template_load( 'templates/mrbanner.php', compact( 'options', 'data' ) ); ?>	
</div>	

<div class="mr_page_archive">	
<?php roofer_template_load( 'templates/mrcontent.php', compact( 'options', 'data' ) ); ?>	
</div>	
	
<?php
}
get_footer();