<?php

define( 'ROOFER_ROOT', get_template_directory() . '/' );

require_once get_template_directory() . '/includes/functions/functions.php';
include_once get_template_directory() . '/includes/classes/base.php';
include_once get_template_directory() . '/includes/classes/dotnotation.php';
include_once get_template_directory() . '/includes/classes/header-enqueue.php';
include_once get_template_directory() . '/includes/classes/options.php';
include_once get_template_directory() . '/includes/classes/ajax.php';
include_once get_template_directory() . '/includes/classes/common.php';
include_once get_template_directory() . '/includes/classes/bootstrap_walker.php';
include_once get_template_directory() . '/includes/library/class-tgm-plugin-activation.php';
require_once get_template_directory() . '/includes/library/hook.php';

// Merlin demo import.
require_once get_template_directory() . '/demo-import/class-merlin.php';
require_once get_template_directory() . '/demo-import/merlin-config.php';
require_once get_template_directory() . '/demo-import/merlin-filters.php';

add_action( 'after_setup_theme', 'roofer_wp_load', 5 );

function roofer_wp_load() {

	defined( 'ROOFER_URL' ) or define( 'ROOFER_URL', get_template_directory_uri() . '/' );
	define(  'ROOFER_KEY','!@#roofer');
	define(  'ROOFER_URI', get_template_directory_uri() . '/');

	if ( ! defined( 'ROOFER_NONCE' ) ) {
		define( 'ROOFER_NONCE', 'roofer_wp_theme' );
	}

	( new \ROOFER\Includes\Classes\Base )->loadDefaults();
	( new \ROOFER\Includes\Classes\Ajax )->actions();

}
add_action( 'init', 'roofer_bunch_theme_init');
function roofer_bunch_theme_init()
{
	$bunch_exlude_hooks = include_once get_template_directory(). '/includes/resource/remove_action.php';
	

}
